Administrateur du serveur de licence

L'administrateur du serveur de licence (LicenseServerAdminTool.exe) est un fichier exécutable qui permet aux administrateurs réseau d'identifier les utilisateurs en train de se servir des logiciels de Transoft Solutions sur leur réseau. Cet utilitaire permet également de déconnecter certains ou tous les utilisateurs, de générer des rapports d'utilisation et de contrat de maintenance MAP, de mettre à jour les licences sur le serveur de licence, de transférer le serveur de licence, d'ajouter et d'autoriser de nouvelles licences de produit, de visualiser le rapport de libération des licences et de gérer le système de libération de licences.

Le fichier exécutable de l'administrateur du serveur de licence est installé à l'emplacement précisé pour les fichiers du serveur de licence durant l'installation. Il est recommandé à l'administrateur réseau de limiter les droits d'exécution de ce fichier à son seul usage.

Administrateur du serveur de licence

L'administrateur du serveur de licence s'utilise dans les cas suivants :

  • Pour gérer une licence

  • Pour sélectionner une licence différente

  • Pour déconnecter les utilisateurs

  • Pour générer un rapport d'utilisation

  • Pour générer un rapport de contrat de maintenance MAP

  • Pour visualiser le rapport de la libération des licences

  • Pour renouveler un contrat de maintenance MAP

  • Pour mettre à niveau une licence

  • Pour transférer une licence

  • Pour supprimer une licence

  • Pour gérer le système de libération de licences

  • Pour ajouter une nouvelle licence de produit

  • Pour autoriser une nouvelle licence de produit

La licence sélectionnée apparaît en dessous de En cours de traitement et ses caractéristiques sont affichées dans la section Information sur la licence de la boîte de dialogue Administrateur du serveur de licence.


Pour gérer une licence

Vous devez sélectionner la licence comme la licence actuelle avant d'effectuer une quelconque opération sur celle-ci.

  1. Accédez au répertoire des fichiers du serveur de licence.

  2. Double-cliquez sur le fichier exécutable de l'Administrateur du serveur de licence (LicenseServerAdminToolF.exe). La boîte de dialogue suivante s'affiche :

Spécifier le serveur de licence

  3. Spécifiez l'adresse du serveur de licence en saisissant l'adresse IP ou le nom de l'ordinateur du serveur de licence ainsi que son numéro de port de communication.

  4. Cliquez sur OK. La boîte de dialogue suivante s'affiche :

Sélectionner le produit

  5. Sélectionnez le produit correspondant dans le champ Produit.

  6. Cliquez sur Sélectionner. La boîte de dialogue suivante s'affiche :

Administrateur du serveur de licence

  7. Cliquez sur les boutons disponibles pour effectuer des opérations.


Pour sélectionner une licence différente

Permet de sélectionner une licence différente d'un produit installé pour administration. Cette procédure suppose que la boite de dialogue Administrateur du serveur de licence est affichée (voir Pour gérer une licence ci-dessus).

  1. Cliquez sur Sélectionner une licence dans la boîte de dialogue Administrateur du serveur de licence. La boîte de dialogue suivante s'affiche :

Sélectionner la licence de produit

  2. Sélectionnez la licence de produit souhaitée à partir de la liste déroulante Licence de produit.

  3. Cliquez sur Sélectionner. La licence sélectionnée devient la licence actuellement gérée dans la boite de dialogue Administrateur du serveur de licence.


Pour déconnecter les utilisateurs

Permet de déconnecter les utilisateurs sélectionnés ou tous les utilisateurs ayant ouvert une session. Cette procédure suppose que la boite de dialogue Administrateur du serveur de licence est affichée (voir Pour gérer une licence ci-dessus).

  1. Cliquez sur Déconnecter les utilisateurs dans la boîte de dialogue Administrateur du serveur de licence. La boîte de dialogue suivante s'affiche :

Déconnecter les utilisateurs

  2. Sélectionnez le ou les utilisateurs à déconnecter du produit actuellement utilisé, parmi ceux affichés en haut de la boite de dialogue Déconnecter des utilisateurs.

  3. Choisissez l'une des deux options :

    • Cliquez sur Déconnexion des utilisateurs sélectionnés.

    • Cliquez sur Déconnexion de tous les utilisateurs.

  4. Cliquez sur OK.


Pour générer un rapport d'utilisation

Cliquez sur Rapport d'utilisation dans la boîte de dialogue Administrateur du serveur de licence pour générer un journal des utilisateurs pour le produit géré. Ce rapport donne une liste mensuelle de tous les utilisateurs qui se sont servis du logiciel et indique aussi le nombre de fois que chaque utilisateur a ouvert une session avec le logiciel et le nombre de fois où chaque utilisateur s'est vu refuser l'accès au logiciel (parce que le nombre maximal d'utilisateurs avait été atteint). Si un rapport indique un nombre de « refus d'ouverture de session » supérieur à zéro, l'acquisition de licences supplémentaires pour le programme en question devra alors être envisagée.


Pour générer un rapport de contrat de maintenance (MAP)

Cliquez sur Rapport Map dans la boîte de dialogue Administrateur du serveur de licence pour générer un fichier texte comprenant la date d'expiration du contrat de maintenance MAP pour tous les produits Transoft installés. Vous pourrez ensuite ouvrir le rapport dans le Bloc-notes (ou dans l'éditeur de texte par défaut) pour le visualiser.


Pour visualiser le rapport de libération des licences

Pour visualiser le rapport de la libération des licences

Affiche un rapport répertoriant les utilisateurs disposant actuellement de licences libérées. Cette procédure suppose que la boite de dialogue Administrateur du serveur de licence est affichée (voir Pour gérer une licence ci-dessus).

  1. Cliquez sur Rapport de la libération dans la boîte de dialogue Administrateur du serveur de licence. La boîte de dialogue suivante s'affiche :

Rapport de la libération

  2. Cliquez sur Fermer après avoir consulté le Rapport de la libération.


Pour renouveler un contrat de maintenance (MAP)

Redirige l'administrateur vers une page Web sur laquelle il peut demander le renouvellement d'un contrat de maintenance MAP (Maintenance Assurance Program). Cette procédure suppose que la boîte de dialogue Administrateur du serveur de licence est affichée et gère un produit nécessitant un renouvellement de MAP.

Remarque : si vous utilisez le logiciel sur un ordinateur en mode autonome, consultez Installation -> Renouveler MAP.

  1. Notez que si vous êtes protégé par un pare-feu, vous devez configurer cette application pour qu'elle autorise l'Administrateur du serveur de licence à accéder à Internet.

  2. Dans la boîte de dialogue Administrateur du serveur de licence, cliquez sur Renouveler MAP. Une page Web s'ouvre.

  3. Suivez les instructions de la page.


Pour mettre à niveau une licence

Présente à l'administrateur une boite de dialogue lui permettant d'entrer la nouvelle clé d'autorisation pour le renouvellement d'un contrat de maintenance MAP ou d'augmenter le nombre d'utilisateurs sous licence d'une installation en réseau. Cette procédure suppose que la boite de dialogue Administrateur du serveur de licence est affichée (voir Pour gérer une licence ci-dessus).

Remarque : Si vous utilisez le logiciel sur un ordinateur en mode autonome, consultez Installation -> Mettre la licence à niveau.

  1. Contactez Transoft Solutions pour commander une mise à niveau.

  2. Notez la nouvelle clé d'autorisation.

  3. Cliquez sur Mettre la licence à niveau dans la boîte de dialogue Administrateur du serveur de licence. La boîte de dialogue suivante s'affiche :

Mettre la licence à niveau

  4. Entrez la nouvelle clé d'autorisation.

  5. Cliquez sur OK.

  6. À l’invite, confirmez que vous souhaitez procéder à cette mise à niveau.


Pour transférer une licence

Transfère la licence d'un produit déjà installé depuis un serveur de licences vers un autre serveur de licences au sein d'une configuration en réseau.

Remarque : si vous utilisez le logiciel en mode autonome, consultez Installation -> Transférer le programme.

  1. Installez le produit sur le nouveau serveur.

  2. Ouvrez le dossier du serveur de licences et double-cliquez sur le fichier LicenseServerAdminTool.exe. La boîte de dialogue Spécifier le serveur de licences apparaît.

Spécifier le serveur de licences

  3. Spécifiez l'adresse IP et le numéro du port de communication (par défaut : 27099) du serveur de licences, puis cliquez sur OK. La boîte de dialogue Sélectionner le produit apparaît :

Sélectionner le produit

  4. Sélectionnez le produit souhaité dans la liste, puis cliquez sur Sélectionner. L'outil d'administration du serveur de licences apparaît :

Outil d'administration du serveur de licences (licence d'évaluation)

  5. Notez le code d'installation.

  6. Sur l'ancien serveur, répétez les étapes 2 à 4. L'outil d'administration du serveur de licences apparaît :

Outil d'administration du serveur de licences

  7. Cliquez sur Transférer la licence. La boîte de dialogue suivante apparaît :

Transférer la licence

  8. Assurez-vous que toutes les étapes de la boîte de dialogue ont été exécutées, puis cliquez sur Continuer. La boîte de dialogue suivante apparaît :

Transférer la licence

  9. Spécifiez le code d'installation obtenu à l'étape 5, puis cliquez sur OK. La boîte de dialogue suivante apparaît :

Transférer la licence

  10. Pour confirmer le transfert de la licence sur un autre serveur de licences et la désactivation de la licence sur le présent serveur, cliquez sur OK. La boîte de dialogue suivante apparaît :

Transférer la licence

La licence de ce produit a été supprimée du présent serveur de licences. Le fichier texte NewCode.txt contient les informations nécessaires pour terminer le transfert de la licence sur le nouveau serveur de licences.

  11. Sur le nouveau serveur, dans la boîte de dialogue Outil d'administration du serveur de licences, cliquez sur Saisir une autorisation. La boîte de dialogue Saisir la clé d'autorisation apparaît.

Saisir la clé d'autorisation

  12. Saisissez la clé d'autorisation spécifiée dans le fichier NewCode.txt, puis cliquez sur Autoriser.

Remarque : pour que le nouveau serveur de licences reconnaisse chaque poste de travail, démarrez l'utilitaire de configuration situé dans le dossier du programme sur le poste de travail (voir Utilitaire de configuration) et modifiez les informations nécessaires.


Pour supprimer une licence

Permet de supprimer les informations relatives à la licence du produit sélectionné. Cette procédure suppose que la boite de dialogue Administrateur du serveur de licence est affichée (voir Pour gérer une licence ci-dessus).

  1. Cliquez sur Supprimer la licence dans la boîte de dialogue Administrateur du serveur de licence. La boîte de dialogue suivante s'affiche :

Supprimer la licence

  2. Activez la case à cocher pour confirmer la suppression de la licence pour le produit affiché.

  3. Cliquez sur OK. La licence est supprimée et les utilisateurs ne seront plus en mesure d'utiliser le produit.


Pour gérer le système de libération de licences

Permet à l'administrateur d'activer ou de désactiver la protection par mot de passe des libérations de licences, de définir un mot de passe de libération et de déterminer le nombre maximal de licences pouvant être libérées ainsi que le nombre maximal de jours pendant lesquels elles peuvent être libérées. Cette procédure suppose que la boite de dialogue Administrateur du serveur de licence est affichée (voir Pour gérer une licence ci-dessus).

  1. Cliquez sur Administration des libérations dans la boîte de dialogue Administrateur du serveur de licence. La boîte de dialogue suivante s'affiche :

Administration des libérations

  2. Activez/désactivez la protection par mot de passe et spécifiez le nombre maximal de licences pouvant être libérées ainsi que le nombre maximal de jours pendant lesquels elles peuvent être libérées (voir ci-après pour la description de chacune de ces options).

  3. Cliquez sur OK.

Protection par mot de passe

Cochez la case pour activer la protection par mot de passe, puis saisissez un mot de passe. Les utilisateurs devront saisir ce mot de passe pour pouvoir libérer une licence. Cliquez sur Changer pour autoriser le changement de mot de passe, une fois celui-ci défini.

Nombre maximal de licences à libérer

Spécifiez ici le nombre de licences que les utilisateurs peuvent libérer. Ce nombre ne peut pas être supérieur au nombre maximal d'utilisateurs moins un.

Durée maximale des libérations

Spécifiez ici le nombre maximal de jours pendant lesquels un utilisateur peut utiliser le produit sans se connecter au serveur de licence. L'utilisateur ne sera plus en mesure d'utiliser le produit après la date d'expiration spécifiée ; la licence pourra de nouveau être libérée depuis le serveur de licence.


Pour ajouter une nouvelle licence de produit

Ajoute une nouvelle licence de produit aux licences déjà disponibles sur le serveur de licence. Cette procédure ne permet pas d'installer le logiciel, elle ajoute seulement les informations de ladite licence sur le serveur de licence.

  1. Accédez au répertoire des fichiers du serveur de licence.

  2. Double-cliquez sur le fichier exécutable de l'Administrateur du serveur de licence (LicenseServerAdminToolF.exe). La boîte de dialogue suivante s'affiche :

Spécifier le serveur de licence

  3. Indiquez l'adresse IP ou le nom de l'ordinateur du serveur de licence, ainsi que son numéro de port de communication. La boîte de dialogue suivante s'affiche :

Ajouter une nouvelle licence de produit

  4. Cliquez sur Ajouter. La boîte de dialogue suivante s'affiche :

Ajouter - Entrer la clé de CD

  5. Entrez le numéro de licence et la clé de CD fournis avec votre nouveau logiciel, puis cliquez sur OK.

  6. Les boutons de la boite de dialogue Administrateur du serveur de licence indiquent que la licence de ce produit n'a pas encore reçu d'autorisation, comme illustré ci-après :

Nouvelle licence de produit ajoutée


Pour autoriser une nouvelle licence de produit

Autorise la licence d'un produit, comme celle obtenue en exécutant la procédure Pour ajouter une nouvelle licence de produit ci-dessus. Les boutons Demander une clé d'autorisation et Entrer la clé d'autorisation n'apparaissent dans la boite de dialogue Administrateur du serveur de licence que pour des licences de produits n'ayant pas encore été autorisées. Cette procédure suppose que la boite de dialogue Administrateur du serveur de licence est affichée pour un produit fonctionnant avec une licence d'évaluation.

Demander une clé d'autorisation

  1. Si vous êtes connecté à Internet, cliquez sur Demander une clé d'autorisation (méthode préférée). La boîte de dialogue suivante s'affiche :

Demander une clé d'autorisation

  2. Notez que si vous êtes protégé par un pare-feu, vous devez configurer cette application pour qu'elle autorise l'Administrateur du serveur de licence à accéder à Internet.

  3. Cliquez sur Demande d'autorisation. La boite de dialogue Demander une clé d'autorisation se ferme et vous redirige vers une page Web.

  4. Indiquez vos coordonnées.

  5. Cliquez sur Envoyer pour demander une clé d'autorisation. Un email contenant la clé d'autorisation sera envoyé à l'adresse électronique fournie par vos soins.

  6. Pour obtenir votre clé d'autorisation, vous pouvez également communiquer avec Transoft Solutions par téléphone ou par courrier électronique en mentionnant les informations affichées dans cette boite de dialogue.

Entrer la clé d'autorisation

  7. Lorsque vous recevez votre clé d'autorisation, cliquez sur le bouton Entrer la clé d'autorisation de la boite de dialogue Administrateur du serveur de licence. La boîte de dialogue suivante s'affiche :

Entrer la clé d'autorisation

  8. Entrez la clé d'autorisation.

  9. Cliquez sur Autoriser.